Summary:	Gzilla is a web browser written in the Gtk+ framework.
Name:		gzilla
Version:	0.3.10
Release:	1
License:	GPL
Group:		X11/Applications/Networking
Packager:       linuxkid <linux@peanutlinux.org>
Source0:	http://www.gzilla.com/Downloads/%{name}-%{version}.tar.gz
Source1:	%{name}.desktop
Patch0:		%{name}-qelem.patch
URL:		http://www.gzilla.com
Buildroot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
%define		_prefix		/usr/X11R6
%define		_mandir		%{_prefix}/man

%description
Gzilla is a Web browser, written in C using the GTK+ widget set.
Gzilla is still in alpha development (like Lynx with pictures). The
project's design goal is to eventually create a fast, small and easily
extensible browser compatible (at minimum) with HTML 4.0 and CSS 1.
Another design goal is to provide a user interface which supports
integration of the graphical and textual shells in a unique and
powerful way.

%prep
%setup -q
%patch0 -p1

%build
%configure \
	--disable-gtktest \
	--disable-glibtest \
	--disable-nls
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install DESTDIR=$RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/peanut/apps/Internet

strip -R.comment -R.note $RPM_BUILD_ROOT/bin/* 2>/dev/null || : 
strip -R.comment -R.note $RPM_BUILD_ROOT/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/sbin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/local/lib/*.so 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/bin/* 2>/dev/null || :
strip -R.comment -R.note $RPM_BUILD_ROOT/usr/X11R6/lib/*.so 2>/dev/null || :

gzip -9nf AUTHORS ChangeLog NEWS README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
/*
